Bug 218004 - System menu should include Hibernate
System menu should include Hibernate
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-12-01 01:17 EST by Bojan Smojver
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-12 04:54:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2006-12-01 01:17:10 EST
Description of problem:

At present, System menu includes only Suspend button if gnome-power-manager is
running. It should also include Hibernate button, right below Suspend. Both
buttons should obey the gnome-power-manager can_suspend and can_hibernate
settings and only appear if these are turned on.

Hiding Hibernate behind Shut Down.. doesn't make much sense, as this is not an
action that would have an effect similar to that of shut down or reboot of the
system (i.e. just like with Suspend, you get right back where you left off when
you turn the system back on).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. N/A
Actual results:
Hibernate button not present on System menu. Suspend button doesn't obey
can_suspend of g-p-m.

Expected results:
Hibernate button should be on the System menu. Both Suspend and Hibernate
buttons should obey can_ settings from g-p-m.

Additional info:
Some systems cannot do both hibernate and suspend, but one of those works. It is
conventient to have just one of the buttons displayed on the menu to avoid nasty
surprises when wrong button is pressed. g-p-m settings are a good way to do this.
Comment 1 Ray Strode [halfline] 2006-12-01 01:59:00 EST
I think upstream does what you're proposing, too, so I think you're right, we
should probably change it.
Comment 2 Matthias Clasen 2006-12-01 14:37:43 EST
I don't agree. We had a sane rationale for putting Hibernate where it is now.
Having both Hibernate and Suspend in the ui visible at the same time is a 
mistake, imo.
Comment 3 Ray Strode [halfline] 2006-12-01 14:44:17 EST
The rationale really only holds up if its called "Power Off" and not "Shut down"

Also, upstream rejected the idea...

Ideally, we wouldn't have both, but instead would just have one option that does
both (flush everything to swap, then suspend to ram).

Comment 4 Ray Strode [halfline] 2006-12-01 14:45:07 EST
Also, this has really confused quite a few users.  I don't know if they're used
to windows stuffing it all in shutdown or what, but it's really confused people.
Comment 5 Bojan Smojver 2006-12-01 16:39:27 EST
Regarding comment #2 that having both buttons is a mistake. I would agree with
that if:

- every machine out there was capable of Suspend (which I know for sure isn't
the case)

- Suspend actually had Suspend2 functionality behind it, which first wrote an
image to disk and then suspended to RAM (or not if the system didn't support
that), therefore making sure that if the battery runs out, we can get back to
where we were

As it stands, it is just too easy for a user to pick Suspend from the menu and
stuff their system up. It should be possible to remove that button completely
(just like it should be possible to not have Hibernate at all, if it's causing

Regarding the Hibernate button, users would have to know that hibernate can be
had by pressing Shut Down. Which doesn't make sense because, if they wanted to
Shut Down, they wouldn't want to Hibernate. These are two completely different
Comment 6 Ray Strode [halfline] 2006-12-01 16:48:23 EST
well, really the kernel shouldn't advertise that it can suspend (or hibernate)
if it won't work right.

HAL has a blacklist I think though, it's just not populated.
Comment 7 Bojan Smojver 2006-12-01 21:47:21 EST
Yeah, that would be ideal. Unfortunately, it's a bit hard to tell if hibernate
and/or suspend are going to work without trying.

I was more thinking of admins rolling out machines and ticking options on/off,
depending on the tests they've done. Then the users get only the choices that
are safe.
Comment 8 Bojan Smojver 2007-03-05 00:49:56 EST
Just a followup on this... I just booted F7T2 Live CD and this is still the same.
Comment 9 Nigel Cunningham 2007-06-12 02:53:07 EDT
Resolve as Won't fix?
Comment 10 Bojan Smojver 2007-06-12 04:00:30 EDT
Yeah, I'm not fussed. I think the overall
suspend/hibernate/snapshot/whatever_Linus_thinks_is_best_:-) thingy first needs
to get sorted out in the kernel, then we can address this properly.

Feel free to close.
Comment 11 Nigel Cunningham 2007-06-12 04:54:24 EDT
Closing, as per previous comments.

Note You need to log in before you can comment on or make changes to this bug.